package style

import "golang.org/x/image/font"
import "git.tebibyte.media/tomo/tomo"

// FaceSet holds a set of font faces.
type FaceSet interface {
	// Face returns the font face which most closely matches the given
	// tomo.Face. The face must be closed when it is done being used. If no
	// suitable face could be found, This behavior must return a fallback
	// face (such as basicfont.Face7x13) instead of nil.
	Face (tomo.Face) font.Face
}
